import type { _NSScriptCommand } from "./NSScriptCommand.js";
import type { _NSScriptObjectSpecifier } from "./NSScriptObjectSpecifier.js";
export declare class _NSCloneCommand extends _NSScriptCommand {
    static alloc(): _NSCloneCommand;
    static new(): _NSCloneCommand;
    init(): _NSCloneCommand;
    setReceiversSpecifier$(receiversRef: _NSScriptObjectSpecifier | null): void;
    /**
     * Splits off the inner-most child specifier. The rest is the receiver specifier while the child is the key specifier.
     */
    keySpecifier(): _NSScriptObjectSpecifier;
}
